﻿namespace TestProject
{
    /// <summary>
    /// 윈도우 디스플레이 모드
    /// </summary>
    public enum WindowDisplayMode
    {
        /// <summary>
        /// 알 수 없음
        /// </summary>
        Unknown,

        /// <summary>
        /// 윈도우
        /// </summary>
        Windowed,

        /// <summary>
        /// 최대화
        /// </summary>
        Maximized,

        /// <summary>
        /// 전체 화면
        /// </summary>
        FullScreen,

        /// <summary>
        /// 왼쪽 스냅
        /// </summary>
        SnappedLeft,

        /// <summary>
        /// 오른쪽 스냅
        /// </summary>
        SnappedRight,

        /// <summary>
        /// 전체 화면 타블렛 모드
        /// </summary>
        FullScreenTabletMode,

        /// <summary>
        /// 컴팩트 오버레이
        /// </summary>
        CompactOverlay
    };
}